Bug 190259 - ldd failure if glibc-2.4.90-3.i386 not installed in addition to glibc-2.4.90-3.x86_64
ldd failure if glibc-2.4.90-3.i386 not installed in addition to glibc-2.4.90-...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 10:01 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4.90-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 07:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for /usr/bin/ldd (428 bytes, patch)
2006-04-29 10:01 EDT, John Ellson
no flags Details | Diff

  None (edit)
Description John Ellson 2006-04-29 10:01:34 EDT
Description of problem:
It is now possible to run a Desktop without any i386 rpms installed (thanks
Caolan), but /usr/bin/ldd fails to run correctly if the i386 version of glibc is
not present.   It fails to produce the correct error message if the file is not
an ELF binary.

Version-Release number of selected component (if applicable):
glibc-2.4.90-3.x86_64
glibc-common-2.4.90-3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. touch x; chmod +x x
2. /usr/bin/ldd x
3.
  
Actual results:
/usr/bin/ldd: line 170: /lib/ld-linux.so.2: No such file or directory
ldd: /lib/ld-linux.so.2 exited with unknown exit code (127)

Expected results:
not a dynamic executable


Additional info:
Comment 1 John Ellson 2006-04-29 10:01:34 EDT
Created attachment 128394 [details]
fix for /usr/bin/ldd
Comment 2 Ulrich Drepper 2006-04-30 12:00:39 EDT
That patch is no good as you could have easily seen if you'd looked at the real
sources of the script.  I checked in a patch upstream.

Note You need to log in before you can comment on or make changes to this bug.